//
//  ViewController.m
//  homework0803
//
//  Created by 張 可佳 on 13/8/10.
//  Copyright (c) 2013年 張 可佳. All rights reserved.
//

#import "ViewController.h"
#import "CirCle.h"

@interface ViewController (){
    NSMutableArray * menu;
    int index;
    int total;
}
@property (weak, nonatomic) IBOutlet UIView *circleView;
@property (weak, nonatomic) IBOutlet UITextField *circleNumber;
@end

@implementation ViewController
- (IBAction)editTextBegin:(id)sender {
    self.circleNumber.text = @"";
}

- (IBAction)showButtonClick {
    [self clearButtonClick];
    [self.circleNumber resignFirstResponder];
    total = [self.circleNumber.text integerValue];
    index = 0;
    [NSTimer scheduledTimerWithTimeInterval:1 target:self selector:@selector(addItems:) userInfo:NULL repeats:YES];
}

-(void) addItems:(NSTimer *) timer{
    //NSLog(@"%d/%d",index,total);
    if (index == total) {
        [timer invalidate];
    }else{
        CGFloat angel = 360/total;
        CGPoint point = [self getPoint:100 withAngel:angel*index];
        CirCle * circle = [[CirCle alloc] init];
        //circle loadView
        CGRect f = circle.frame;
        f.origin.x = 130 + point.x;
        f.origin.y = 130 + point.y;
        f.size.width = 1;
        f.size.height = 1;
        circle.frame = f;
        [self.circleView addSubview:circle];
        index ++;
    }
    
    
}
- (IBAction)clearButtonClick {
    NSArray *subviews = [self.circleView subviews];
    
    if ([subviews count] == 0) return;
    
    for (CirCle *subview in subviews) {
        [subview willRemoveSubview];
       // -(void) willRemoveSubview
    }
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
//
//    CGRect rect = CGRectMake(50, 50, 240, 160);
//    UIView *myview=[[UIView alloc] initWithFrame:rect];
//    [myview setBackgroundColor:[UIColor blackColor]];
//    [self.view addSubview:myview];
}
- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

//取得坐標
- (CGPoint)getPoint:(int) radius withAngel:(CGFloat) degrees{
    
    int y = sin(degrees * M_PI / 180)*radius;
    int x = cos(degrees * M_PI / 180)*radius;
    CGPoint btCorner = CGPointMake(x, y) ;
    return btCorner;
}
@end
